@echo off

if "%1" == "" goto Usage
if "%2" == "" goto Usage

echo .
echo . About to rename *all* track.ini files to %1.ini
echo . and *all* %2.ini to track.ini.
echo . Make sure this file runs in gpl tracks directory
echo . and the filenames are right.
echo .

choice Continue?
if errorlevel 2 goto End
if errorlevel 1 goto Check
goto End

:Check

set duppie=
if exist kyalami\%1.ini set duppie=%duppie% kyalami
if exist mexico\%1.ini set duppie=%duppie% mexico
if exist monaco\%1.ini set duppie=%duppie% monaco
if exist monza\%1.ini set duppie=%duppie% monza
if exist mosport\%1.ini set duppie=%duppie% mosport
if exist nurburg\%1.ini set duppie=%duppie% nurburg
if exist rouen\%1.ini set duppie=%duppie% rouen
if exist silver\%1.ini set duppie=%duppie% silver
if exist spa\%1.ini set duppie=%duppie% spa
if exist watglen\%1.ini set duppie=%duppie% watglen
if exist zandvort\%1.ini set duppie=%duppie% zandvort
if exist brands\%1.ini set duppie=%duppie% brands
if exist dubai\%1.ini set duppie=%duppie% dubai
if exist glen\%1.ini set duppie=%duppie% glen
if exist hickory\%1.ini set duppie=%duppie% hickory
if exist homestd\%1.ini set duppie=%duppie% homestd
if exist nwenglnd\%1.ini set duppie=%duppie% nwenglnd
if exist phoenix\%1.ini set duppie=%duppie% phoenix
if "%duppie%" == "" goto Rename

:Dupfile

echo .
echo . Savename %1.ini exists in subfolder(s):
echo . %duppie%
echo . Cannot rename
set duppie=
goto End

:Rename

cd kyalami
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd mexico
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd monaco
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd monza
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd mosport
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd nurburg
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd rouen
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd silver
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd spa
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd watglen
ren track.ini %1.ini
ren %2.ini track.ini
cd..

cd zandvort
ren track.ini %1.ini
ren %2.ini track.ini
cd..

if not exist brands\track.ini goto EndBrands
cd brands
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndBrands

if not exist dubai\track.ini goto EndDubai
cd dubai
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndDubai

if not exist glen\track.ini goto EndGlen
cd glen
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndGlen

if not exist hickory\track.ini goto EndHickory
cd hickory
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndHickory

if not exist homestd\track.ini goto EndHomestead
cd homestd
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndHomestead

if not exist nwenglnd\track.ini goto EndLoudon
cd nwenglnd
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndLoudon

if not exist phoenix\track.ini goto EndPhoenix
cd phoenix
ren track.ini %1.ini
ren %2.ini track.ini
cd..
:EndPhoenix

Echo . Done
goto End

:Usage

echo .
echo . Replaces track.ini for *all* tracks by renaming the current
echo . files to a save name and then renaming the new files to
echo . track.ini.
echo . Must run with the GPL tracks directory as current dir.
echo .
echo . Usage: trackren savename newname [.ini not needed]
echo . Example: trackren trackorg trackol6 [install 6 units spaced grid]
echo . Example: trackren trackol6 trackorg [re-install previous grid]

goto End

:End
echo .
